### Method

# Gdk.Device.get_surface_at_position

#### Declaration [src]

    GdkSurface*
    gdk_device_get_surface_at_position (
      GdkDevice* device,
      double* win_x,
      double* win_y
    )

#### Description [src]

Obtains the surface underneath `device`, returning the location of the device in `win_x` and `win_y`

Returns `NULL` if the surface tree under `device` is not known to GDK (for example, belongs to another application).

#### Parameters

`win_x` | `double*`
| return location for the X coordinate of the device location, relative to the surface origin, or `NULL`.
| Direction: out
| Ownership of the data is transferred to the callee
`win_y` | `double*`
| return location for the Y coordinate of the device location, relative to the surface origin, or `NULL`.
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GdkSurface`
the `GdkSurface` under the device position, or `NULL`
Ownership is not transferred to the caller
Can be `NULL`